## khronos-opengl-man4 1.0~svn17952

=== xhtml/Makefile ===
#!gmake

# XSLT processor - other possibilities like Saxon exist
XSLT	= xsltproc --nonet
SED	= sed

# Location of locally customized stylesheet, which imports
# the Docbook modular stylesheets, and specifically the
# stylesheet to convert Docbook+MathML => XHTML+MathML
DB2XHTML = opengl-man.xsl
# ../../mancommon/opengl-man.xsl

PREPROCESSOR = preproc.sed

.SUFFIXES: .gl .xml .html .xhtml .ck.xhtml .tex .pdf .3G .tar .tar.gz
.PHONY: man html pdf tex

# ../../mancommon/opengl-man.xsl

%.xml: ../%.xml $(DB2XHTML) $(PREPROCESSOR)
	$(XSLT) --xinclude -o $@.tmp $(DB2XHTML) $<
	$(SED) -f $(PREPROCESSOR) $@.tmp > $@
	$(RM) $@.tmp

GL_ARB_draw_indirect_entries = \
    glDrawArraysIndirect.xml \
    glDrawElementsIndirect.xml
	
GL_ARB_shader_subroutine_entries = \
    glGetActiveSubroutineName.xml \
    glGetActiveSubroutineUniform.xml \
    glGetActiveSubroutineUniformName.xml \
    glGetProgramStage.xml \
    glGetSubroutineIndex.xml \
    glGetSubroutineUniformLocation.xml \
    glGetUniformSubroutine.xml \
    glUniformSubroutines.xml

GL_ARB_tessellation_shader_entries = \
    glPatchParameter.xml

GL_ARB_transform_feedback2_entries = \
    glBindTransformFeedback.xml \
    glDeleteTransformFeedbacks.xml \
    glGenTransformFeedbacks.xml \
    glIsTransformFeedback.xml \
    glPauseTransformFeedback.xml \
    glResumeTransformFeedback.xml \
    glDrawTransformFeedback.xml

GL_ARB_transform_feedback3_entries = \
    glDrawTransformFeedbackStream.xml \
    glBeginQueryIndexed.xml \
    glGetQueryIndexed.xml

GL_ARB_viewport_array_entries = \
    glDepthRangeArray.xml \
    glDepthRangeIndexed.xml \
    glScissorArray.xml \
    glScissorIndexed.xml \
    glViewportArray.xml \
    glViewportIndexed.xml

GL_ARB_get_program_binary_entries = \
    glGetProgramBinary.xml \
    glProgramBinary.xml \
    glProgramParameter.xml

GL_ARB_ES2_compatibility_entries = \
    glReleaseShaderCompiler.xml \
    glShaderBinary.xml \
    glGetShaderPrecisionFormat.xml

GL_ARB_separate_shader_objects_entries = \
    glUseProgramStages.xml \
    glActiveShaderProgram.xml \
    glCreateShaderProgram.xml \
    glBindProgramPipeline.xml \
    glGenProgramPipelines.xml \
    glDeleteProgramPipelines.xml \
    glIsProgramPipeline.xml \
    glGetProgramPipeline.xml \
    glValidateProgramPipeline.xml \
    glGetProgramPipelineInfoLog.xml \
    glProgramUniform.xml

GL_ARB_sample_shading_entries = \
    glMinSampleShading.xml

GL_ARB_base_instance_entries = \
    glDrawArraysInstancedBaseInstance.xml \
    glDrawElementsInstancedBaseInstance.xml \
    glDrawElementsInstancedBaseVertexBaseInstance.xml

GL_EXT_texture_storage_entries = \
    glTexStorage1D.xml \
    glTexStorage2D.xml \
    glTexStorage3D.xml

GL_XXX_internal_format_query_entries = \
    glGetInternalFormativ.xml

GL_ARB_transform_feedback_instanced_entries = \
    glDrawTransformFeedbackInstanced.xml \
    glDrawTransformFeedbackStreamInstanced.xml

GL_ARB_shader_atomic_counters_entries = \
    glGetActiveAtomicCounterBufferiv.xml

GL_ARB_shader_image_load_store_entries = \
    glBindImageTexture.xml \
    glMemoryBarrier.xml

MODIFIEDFORGL4XML = \
    glClearDepth.xml \
    glCreateShader.xml \
    glDepthRange.xml \
    glDrawArrays.xml \
    glGetVertexAttrib.xml \
    glVertexAttrib.xml \
    glVertexAttribPointer.xml \

GL4XML = \
    $(GL_ARB_draw_indirect_entries) \
    $(GL_ARB_shader_subroutine_entries) \
    $(GL_ARB_tessellation_shader_entries) \
    $(GL_ARB_transform_feedback2_entries) \
    $(GL_ARB_transform_feedback3_entries) \
    $(GL_ARB_sample_shading_entries)

GL41XML = \
    $(GL_ARB_viewport_array_entries) \
    $(GL_ARB_get_program_binary_entries) \
    $(GL_ARB_ES2_compatibility_entries) \
    $(GL_ARB_separate_shader_objects_entries)

GL42XML = \
    $(GL_ARB_base_instance_entries) \
    $(GL_EXT_texture_storage_entries) \
    $(GL_XXX_internal_format_query_entries) \
    $(GL_ARB_transform_feedback_instanced_entries) \
    $(GL_ARB_shader_atomic_counters_entries) \
    $(GL_ARB_shader_image_load_store_entries) \
    removedTypes.xml

UNMODIFIEDXML = \
    glActiveTexture.xml \
    glAttachShader.xml \
    glBeginConditionalRender.xml \
    glBeginQuery.xml \
    glBeginTransformFeedback.xml \
    glBindAttribLocation.xml \
    glBindBuffer.xml \
    glBindBufferBase.xml \
    glBindBufferRange.xml \
    glBindFragDataLocation.xml \
    glBindFragDataLocationIndexed.xml \
    glBindFramebuffer.xml \
    glBindRenderbuffer.xml \
    glBindSampler.xml \
    glBindTexture.xml \
    glBindVertexArray.xml \
    glBlendColor.xml \
    glBlendEquation.xml \
    glBlendEquationSeparate.xml \
    glBlendFunc.xml \
    glBlendFuncSeparate.xml \
    glBlitFramebuffer.xml \
    glBufferData.xml \
    glBufferSubData.xml \
    glCheckFramebufferStatus.xml \
    glClampColor.xml \
    glClear.xml \
    glClearColor.xml \
    glClearBuffer.xml \
    glClearStencil.xml \
    glClientWaitSync.xml \
    glColorMask.xml \
    glCompileShader.xml \
    glCompressedTexImage1D.xml \
    glCompressedTexImage2D.xml \
    glCompressedTexImage3D.xml \
    glCompressedTexSubImage1D.xml \
    glCompressedTexSubImage2D.xml \
    glCompressedTexSubImage3D.xml \
    glCopyBufferSubData.xml \
    glCopyTexImage1D.xml \
    glCopyTexImage2D.xml \
    glCopyTexSubImage1D.xml \
    glCopyTexSubImage2D.xml \
    glCopyTexSubImage3D.xml \
    glCreateProgram.xml \
    glCreateShader.xml \
    glCullFace.xml \
    glDeleteBuffers.xml \
    glDeleteFramebuffers.xml \
    glDeleteProgram.xml \
    glDeleteQueries.xml \
    glDeleteRenderbuffers.xml \
    glDeleteSamplers.xml \
    glDeleteShader.xml \
    glDeleteSync.xml \
    glDeleteTextures.xml \
    glDeleteVertexArrays.xml \
    glDepthFunc.xml \
    glDepthMask.xml \
    glDetachShader.xml \
    glDisableVertexAttribArray.xml \
    glDrawArrays.xml \
    glDrawArraysInstanced.xml \
    glDrawBuffer.xml \
    glDrawBuffers.xml \
    glDrawElements.xml \
    glDrawElementsBaseVertex.xml \
    glDrawElementsInstanced.xml \
    glDrawElementsInstancedBaseVertex.xml \
    glDrawRangeElements.xml \
    glDrawRangeElementsBaseVertex.xml \
    glEnable.xml \
    glEnableVertexAttribArray.xml \
    glEndQuery.xml \
    glFenceSync.xml \
    glFinish.xml \
    glFlush.xml \
    glFlushMappedBufferRange.xml \
    glFramebufferRenderbuffer.xml \
    glFramebufferTexture.xml \
    glFramebufferTextureLayer.xml \
    glFrontFace.xml \
    glGenBuffers.xml \
    glGenerateMipmap.xml \
    glGenFramebuffers.xml \
    glGenQueries.xml \
    glGenRenderbuffers.xml \
    glGenSamplers.xml \
    glGenTextures.xml \
    glGenVertexArrays.xml \
    glGet.xml \
    glGetActiveAttrib.xml \
    glGetActiveUniform.xml \
    glGetActiveUniformBlock.xml \
    glGetActiveUniformBlockName.xml \
    glGetActiveUniformName.xml \
    glGetActiveUniformsiv.xml \
    glGetAttachedShaders.xml \
    glGetAttribLocation.xml \
    glGetBufferParameter.xml \
    glGetBufferPointerv.xml \
    glGetBufferSubData.xml \
    glGetCompressedTexImage.xml \
    glGetError.xml \
    glGetFragDataIndex.xml \
    glGetFragDataLocation.xml \
    glGetFramebufferAttachmentParameter.xml \
    glGetMultisample.xml \
    glGetProgram.xml \
    glGetProgramInfoLog.xml \
    glGetQueryObject.xml \
    glGetQueryiv.xml \
    glGetRenderbufferParameter.xml \
    glGetSamplerParameter.xml \
    glGetShader.xml \
    glGetShaderInfoLog.xml \
    glGetShaderSource.xml \
    glGetString.xml \
    glGetSync.xml \
    glGetTexImage.xml \
    glGetTexLevelParameter.xml \
    glGetTexParameter.xml \
    glGetTransformFeedbackVarying.xml \
    glGetUniform.xml \
    glGetUniformBlockIndex.xml \
    glGetUniformIndices.xml \
    glGetUniformLocation.xml \
    glGetVertexAttribPointerv.xml \
    glHint.xml \
    glIsBuffer.xml \
    glIsEnabled.xml \
    glIsFramebuffer.xml \
    glIsProgram.xml \
    glIsRenderbuffer.xml \
    glIsQuery.xml \
    glIsSampler.xml \
    glIsShader.xml \
    glIsSync.xml \
    glIsTexture.xml \
    glIsVertexArray.xml \
    glLineWidth.xml \
    glLinkProgram.xml \
    glLogicOp.xml \
    glMapBuffer.xml \
    glMapBufferRange.xml \
    glMultiDrawArrays.xml \
    glMultiDrawElements.xml \
    glMultiDrawElementsBaseVertex.xml \
    glPixelStore.xml \
    glPointParameter.xml \
    glPointSize.xml \
    glPolygonMode.xml \
    glPolygonOffset.xml \
    glPrimitiveRestartIndex.xml \
    glProvokingVertex.xml \
    glQueryCounter.xml \
    glReadBuffer.xml \
    glReadPixels.xml \
    glRenderbufferStorage.xml \
    glRenderbufferStorageMultisample.xml \
    glSampleCoverage.xml \
    glSampleMaski.xml \
    glSamplerParameter.xml \
    glScissor.xml \
    glShaderSource.xml \
    glStencilFunc.xml \
    glStencilFuncSeparate.xml \
    glStencilMask.xml \
    glStencilMaskSeparate.xml \
    glStencilOp.xml \
    glStencilOpSeparate.xml \
    glTexBuffer.xml \
    glTexImage1D.xml \
    glTexImage2D.xml \
    glTexImage2DMultisample.xml \
    glTexImage3D.xml \
    glTexImage3DMultisample.xml \
    glTexParameter.xml \
    glTexSubImage1D.xml \
    glTexSubImage2D.xml \
    glTexSubImage3D.xml \
    glTransformFeedbackVaryings.xml \
    glUniform.xml \
    glUniformBlockBinding.xml \
    glUnmapBuffer.xml \
    glUseProgram.xml \
    glValidateProgram.xml \
    glVertexAttribDivisor.xml \
    glViewport.xml \
    glWaitSync.xml

MODIFIEDXML = \

XML    = $(GL4XML) $(GL41XML) $(GL42XML) $(MODIFIEDFORGL4XML) $(UNMODIFIEDXML)

glTexImage1D.xml \
glTexImage2D.xml \
glTexImage3D.xml \
glTexStorage1D.xml \
glTexStorage2D.xml \
glTexStorage3D.xml \
    : ../internalformattable.xml ../baseformattable.xml ../compressedformattable.xml

default: $(XML)

clean:
	$(RM) $(TEX_FILES) *.log *.aux *.toc *.dvi *.out

clobber: clean
	$(RM) $(XML) $(PDF_FILES)

=== debian/changelog ===
khronos-opengl-man4 (1.0~svn17952-1) unstable; urgency=low

  * Initial release.  (Closes: #673160)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 17 May 2012 16:41:31 +0200

=== debian/control ===
Source: khronos-opengl-man4
Section: doc
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 8), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc
Standards-Version: 3.9.3
Homepage: http://www.opengl.org/sdk/docs/man4/
Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opengl4-man/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/khronos-opengl4-man/

Package: opengl-4.2-html-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Description: OpenGL 4.2 documentation - html pages
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 The documentation is exactly what is available from:
 http://www.opengl.org/sdk/docs/man4/xhtml/

Package: opengl-4.2-man-doc
Architecture: all
Depends: ${misc:Depends}
Description: OpenGL 4.2 documentation - man pages (experimental)
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 This is experimental man page package until support gets integrated upstream.

=== debian/rules ===
#!/usr/bin/make -f

export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean xhtml/*.xml
	dh_clean xhtml/*.3G

pkg_xml = opengl-4.2-html-doc
pkg_man = opengl-4.2-man-doc

override_dh_installdocs:
	dh_installdocs -p$(pkg_xml) xhtml/*.xml
	dh_installdocs -p$(pkg_xml) xhtml/*.html

override_dh_installman:
	# bad-so-link-within-manual-page
	sed -i -e 's/^.so man3G/.so man3/' xhtml/*.3G
	dh_installman -p$(pkg_man) xhtml/*.3G
	# force install of d/copyright:
	dh_installdocs -p$(pkg_man)

# no make install rule:
override_dh_auto_install:

override_dh_compress:
	dh_compress -X.xml

get-orig-source:
	./debian/get-orig-source

## khronos-opengl-man4 1.0~svn21376

=== debian/changelog ===
khronos-opengl-man4 (1.0~svn21376-2) unstable; urgency=low

  * Add a virtual package: manpages-opengl
  * Fix XML input for cleaner man output

 -- Mathieu Malaterre <malat@debian.org>  Mon, 27 May 2013 11:56:23 +0200

khronos-opengl-man4 (1.0~svn21376-1) unstable; urgency=low

  * New upstream
  * Use dh 9
  * Replaces old -4.2 packages, with generic -4 packages
  * Remove patches applied upstream:
    - d/p/remove_missing.patch

 -- Mathieu Malaterre <malat@debian.org>  Mon, 13 May 2013 12:45:05 +0200

=== debian/control ===
Source: khronos-opengl-man4
Section: doc
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc
Standards-Version: 3.9.4
Homepage: http://www.opengl.org/sdk/docs/man4/
Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opengl4-man/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/khronos-opengl4-man/trunk

Package: opengl-4-html-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Replaces: opengl-4.2-html-doc (<< 1.0~svn21376-1)
Breaks: opengl-4.2-html-doc (<< 1.0~svn21376-1)
Description: OpenGL 4 documentation - html pages
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 The documentation is exactly what is available from:
 http://www.opengl.org/sdk/docs/man4/xhtml/

Package: opengl-4-man-doc
Provides: manpages-opengl
Architecture: all
Depends: ${misc:Depends}
Replaces: opengl-4.2-man-doc (<< 1.0~svn21376-1)
Description: OpenGL 4 documentation - man pages (experimental)
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 This is experimental man page package until support gets integrated upstream.

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,10 @@
 override_dh_clean:
 	dh_clean xhtml/*.xml
 	dh_clean xhtml/*.3G
+	dh_clean xhtml/*.tmp0
 
-pkg_xml = opengl-4.2-html-doc
-pkg_man = opengl-4.2-man-doc
+pkg_xml = opengl-4-html-doc
+pkg_man = opengl-4-man-doc
 
 override_dh_installdocs:
 	dh_installdocs -p$(pkg_xml) xhtml/*.xml

## khronos-opengl-man4 1.0~svn22917

=== xhtml/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 GL_ARB_draw_indirect_entries = \
     glDrawArraysIndirect.xml \
     glDrawElementsIndirect.xml
-	
+
 GL_ARB_shader_subroutine_entries = \
     glGetActiveSubroutineName.xml \
     glGetActiveSubroutineUniform.xml \
@@ -97,8 +97,8 @@
     glTexStorage2D.xml \
     glTexStorage3D.xml
 
-GL_XXX_internal_format_query_entries = \
-    glGetInternalFormativ.xml
+GL_ARB_internal_format_query_entries = \
+    glGetInternalformativ.xml
 
 GL_ARB_transform_feedback_instanced_entries = \
     glDrawTransformFeedbackInstanced.xml \
@@ -110,6 +110,124 @@
 GL_ARB_shader_image_load_store_entries = \
     glBindImageTexture.xml \
     glMemoryBarrier.xml
+
+# START OF OPENGL 4.3 EXTENSIONS
+
+# GL_ARB_arrays_of_arrays has no new entry points
+GL_ARB_arrays_of_arrays_entries =
+
+GL_ARB_multi_draw_indirect_entries = \
+    glMultiDrawArraysIndirect.xml \
+    glMultiDrawElementsIndirect.xml
+
+# ES3_compatibility does not have any new entry points
+GL_ARB_ES3_compatibility_enries =
+
+GL_ARB_clear_buffer_object_entries = \
+    glClearBufferData.xml \
+    glClearBufferSubData.xml
+
+GL_ARB_compute_shader_entries = \
+    glDispatchCompute.xml \
+    glDispatchComputeIndirect.xml
+
+GL_ARB_copy_image_entries = \
+    glCopyImageSubData.xml
+
+GL_ARB_debug_group_entries = \
+    glPushDebugGroup.xml \
+    glPopDebugGroup.xml
+
+GL_ARB_debug_label_entries = \
+    glObjectLabel.xml \
+    glObjectPtrLabel.xml \
+    glGetObjectLabel.xml \
+    glGetObjectPtrLabel.xml
+
+# GL_ARB_debug_output2 has no new entry points
+GL_ARB_debug_output2_entries =
+
+GL_ARB_debug_output_entries = \
+    glDebugMessageControl.xml \
+    glDebugMessageInsert.xml \
+    glDebugMessageCallback.xml \
+    glGetDebugMessageLog.xml
+# Add glGetPointerv to glGet.xml
+
+# GL_ARB_explicit_uniform_location has no new entry points
+GL_ARB_explicit_uniform_location_entries =
+
+# GL_ARB_fragment_layer_viewport has no new entry points
+GL_ARB_fragment_layer_viewport_entries =
+
+GL_ARB_framebuffer_no_attachments_entries = \
+    glFramebufferParameteri.xml \
+    glGetFramebufferParameter.xml
+
+# GL_ARB_internalformat_query2 adds glGetInternalFormati64v to glGetInternalFormativ
+GL_ARB_internalformat_query2_entries =
+
+GL_ARB_invalidate_subdata_entries = \
+    glInvalidateTexSubImage.xml \
+    glInvalidateTexImage.xml \
+    glInvalidateBufferSubData.xml \
+    glInvalidateBufferData.xml \
+    glInvalidateFramebuffer.xml \
+    glInvalidateSubFramebuffer.xml
+
+GL_ARB_program_interface_query_entries = \
+    glGetProgramInterface.xml \
+    glGetProgramResourceIndex.xml \
+    glGetProgramResourceName.xml \
+    glGetProgramResource.xml \
+    glGetProgramResourceLocation.xml \
+    glGetProgramResourceLocationIndex.xml
+
+# GL_ARB_robust_buffer_access_behavior does not define any new entry points
+GL_ARB_robust_buffer_access_behavior_entries =
+
+# GL_ARB_shader_image_size does not define any new entry points
+GL_ARB_shader_image_size_entries =
+
+GL_ARB_shader_storage_buffer_object_entries = \
+    glShaderStorageBlockBinding.xml
+
+# GL_ARB_stencil_texturing does not define any new entry points
+GL_ARB_stencil_texturing_entries =
+
+GL_ARB_texture_buffer_range_entries = \
+    glTexBufferRange.xml
+
+# GL_ARB_texture_query_levels does not define any new entry points
+GL_ARB_texture_query_levels =
+
+GL_ARB_texture_storage_multisample_entries = \
+    glTexStorage2DMultisample.xml \
+    glTexStorage3DMultisample.xml
+
+GL_ARB_texture_view_entries = \
+    glTextureView.xml
+
+GL_ARB_vertex_attrib_binding_entries = \
+    glVertexAttribBinding.xml \
+    glVertexAttribFormat.xml \
+    glVertexBindingDivisor.xml \
+    glBindVertexBuffer.xml
+
+GL_ARB_buffer_storage_entries = \
+    glBufferStorage.xml
+
+GL_ARB_clear_texture_entries = \
+    glClearTexImage.xml \
+    glClearTexSubImage.xml
+
+GL_ARB_multi_bind_entries = \
+    glBindBuffersBase.xml \
+    glBindBuffersRange.xml \
+    glBindTextures.xml \
+    glBindImageTextures.xml \
+    glBindSamplers.xml \
+    glBindVertexBuffers.xml
 
 MODIFIEDFORGL4XML = \
     glClearDepth.xml \
@@ -118,7 +236,7 @@
     glDrawArrays.xml \
     glGetVertexAttrib.xml \
     glVertexAttrib.xml \
-    glVertexAttribPointer.xml \
+    glVertexAttribPointer.xml
 
 GL4XML = \
     $(GL_ARB_draw_indirect_entries) \
@@ -137,11 +255,34 @@
 GL42XML = \
     $(GL_ARB_base_instance_entries) \
     $(GL_EXT_texture_storage_entries) \
-    $(GL_XXX_internal_format_query_entries) \
+    $(GL_ARB_internal_format_query_entries) \
     $(GL_ARB_transform_feedback_instanced_entries) \
     $(GL_ARB_shader_atomic_counters_entries) \
     $(GL_ARB_shader_image_load_store_entries) \
     removedTypes.xml
+
+GL43XML = \
+    $(GL_ARB_multi_draw_indirect_entries) \
+    $(GL_ARB_ES3_compatibility_enries) \
+    $(GL_ARB_clear_buffer_object_entries) \
+    $(GL_ARB_compute_shader_entries) \
+    $(GL_ARB_copy_image_entries) \
+    $(GL_ARB_invalidate_subdata_entries) \
+    $(GL_ARB_texture_buffer_range_entries) \
+    $(GL_ARB_texture_storage_multisample_entries) \
+    $(GL_ARB_vertex_attrib_binding_entries) \
+    $(GL_ARB_shader_storage_buffer_object_entries) \
+    $(GL_ARB_debug_group_entries) \
+    $(GL_ARB_debug_label_entries) \
+    $(GL_ARB_framebuffer_no_attachments_entries) \
+    $(GL_ARB_program_interface_query_entries) \
+    $(GL_ARB_debug_output_entries) \
+    $(GL_ARB_texture_view_entries)
+
+GL44XML = \
+    $(GL_ARB_buffer_storage_entries) \
+    $(GL_ARB_clear_texture_entries) \
+    $(GL_ARB_multi_bind_entries)
 
 UNMODIFIEDXML = \
     glActiveTexture.xml \
@@ -205,7 +346,6 @@
     glDepthFunc.xml \
     glDepthMask.xml \
     glDetachShader.xml \
-    glDisableVertexAttribArray.xml \
     glDrawArrays.xml \
     glDrawArraysInstanced.xml \
     glDrawBuffer.xml \
@@ -218,7 +358,6 @@
     glDrawRangeElementsBaseVertex.xml \
     glEnable.xml \
     glEnableVertexAttribArray.xml \
-    glEndQuery.xml \
     glFenceSync.xml \
     glFinish.xml \
     glFlush.xml \
@@ -283,75 +422,3 @@
     glIsSampler.xml \
     glIsShader.xml \
     glIsSync.xml \
-    glIsTexture.xml \
-    glIsVertexArray.xml \
-    glLineWidth.xml \
-    glLinkProgram.xml \
-    glLogicOp.xml \
-    glMapBuffer.xml \
-    glMapBufferRange.xml \
-    glMultiDrawArrays.xml \
-    glMultiDrawElements.xml \
-    glMultiDrawElementsBaseVertex.xml \
-    glPixelStore.xml \
-    glPointParameter.xml \
-    glPointSize.xml \
-    glPolygonMode.xml \
-    glPolygonOffset.xml \
-    glPrimitiveRestartIndex.xml \
-    glProvokingVertex.xml \
-    glQueryCounter.xml \
-    glReadBuffer.xml \
-    glReadPixels.xml \
-    glRenderbufferStorage.xml \
-    glRenderbufferStorageMultisample.xml \
-    glSampleCoverage.xml \
-    glSampleMaski.xml \
-    glSamplerParameter.xml \
-    glScissor.xml \
-    glShaderSource.xml \
-    glStencilFunc.xml \
-    glStencilFuncSeparate.xml \
-    glStencilMask.xml \
-    glStencilMaskSeparate.xml \
-    glStencilOp.xml \
-    glStencilOpSeparate.xml \
-    glTexBuffer.xml \
-    glTexImage1D.xml \
-    glTexImage2D.xml \
-    glTexImage2DMultisample.xml \
-    glTexImage3D.xml \
-    glTexImage3DMultisample.xml \
-    glTexParameter.xml \
-    glTexSubImage1D.xml \
-    glTexSubImage2D.xml \
-    glTexSubImage3D.xml \
-    glTransformFeedbackVaryings.xml \
-    glUniform.xml \
-    glUniformBlockBinding.xml \
-    glUnmapBuffer.xml \
-    glUseProgram.xml \
-    glValidateProgram.xml \
-    glVertexAttribDivisor.xml \
-    glViewport.xml \
-    glWaitSync.xml
-
-MODIFIEDXML = \
-
-XML    = $(GL4XML) $(GL41XML) $(GL42XML) $(MODIFIEDFORGL4XML) $(UNMODIFIEDXML)
-
-glTexImage1D.xml \
-glTexImage2D.xml \
-glTexImage3D.xml \
-glTexStorage1D.xml \
-glTexStorage2D.xml \
-glTexStorage3D.xml \
-    : ../internalformattable.xml ../baseformattable.xml ../compressedformattable.xml
-
-default: $(XML)
-
-clean:
-	$(RM) $(TEX_FILES) *.log *.aux *.toc *.dvi *.out
-
-clobber: clean
-	$(RM) $(XML) $(PDF_FILES)

=== debian/changelog ===
khronos-opengl-man4 (1.0~svn22917-1) unstable; urgency=low

  * New upstream
  * Move to Debian OpenCL Maintainers
  * Use canonical URLs for debian VCS
  * Use XZ compression
  * Fix clean rules

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Sep 2013 09:28:20 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: khronos-opengl-man4
 Section: doc
 Priority: extra
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc
 Standards-Version: 3.9.4
 Homepage: http://www.opengl.org/sdk/docs/man4/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opengl4-man/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/khronos-opengl4-man/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opengl4-man/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opengl4-man/
 
 Package: opengl-4-html-doc
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 	dh_clean xhtml/*.xml
 	dh_clean xhtml/*.3G
 	dh_clean xhtml/*.tmp0
+	dh_clean xhtml/index.html
+	chmod +x xhtml/makeindex.pl
 
 pkg_xml = opengl-4-html-doc
 pkg_man = opengl-4-man-doc

## khronos-opengl-man4 1.0~svn27841

=== docbook4/Makefile ===
#!gmake
#
# License Applicability. Except to the extent portions of this file are
# made subject to an alternative license as permitted in the SGI Free
# Software License B, Version 1.1 (the "License"), the contents of this
# file are subject only to the provisions of the License. You may not use
# this file except in compliance with the License. You may obtain a copy
# of the License at Silicon Graphics, Inc., attn: Legal Services, 1600
# Amphitheatre Parkway, Mountain View, CA 94043-1351, or at:
#
# http://oss.sgi.com/projects/FreeB
#
# Note that, as provided in the License, the Software is distributed on an
# "AS IS" basis, with ALL EXPRESS AND IMPLIED WARRANTIES AND CONDITIONS
# DISCLAIMED, INCLUDING, WITHOUT LIMITATION, ANY IMPLIED WARRANTIES AND
# CONDITIONS OF MERCHANTABILITY, SATISFACTORY QUALITY, FITNESS FOR A
# PARTICULAR PURPOSE, AND NON-INFRINGEMENT.
#
# Original Code. The Original Code is: OpenGL Sample Implementation,
# Version 1.2.1, released January 26, 2000, developed by Silicon Graphics,
# Inc. The Original Code is Copyright (c) 1991-2000 Silicon Graphics, Inc.
# Copyright in any portions created by third parties is as indicated
# elsewhere herein. All Rights Reserved.
#
# Additional Notice Provisions: The application programming interfaces
# established by SGI in conjunction with the Original Code are The
# OpenGL(R) Graphics System: A Specification (Version 1.2.1), released
# April 1, 1999; The OpenGL(R) Graphics System Utility Library (Version
# 1.3), released November 4, 1998; and OpenGL(R) Graphics with the X
# Window System(R) (Version 1.3), released October 19, 1998. This software
# was created using the OpenGL(R) version 1.2.1 Sample Implementation
# published by SGI, but has not been independently verified as being
# compliant with the OpenGL(R) version 1.2.1 Specification.

COMMONPREF = standard
include $(ROOT)/usr/include/make/commondefs

SUBDIRS = \
	xhtml \
	$(NULL)

default $(ALLTARGS): $(_FORCE)
	$(SUBDIRS_MAKERULE)

distoss:
	$(MAKE) $(COMMONPREF)$@
	$(SUBDIRS_MAKERULE)

include $(COMMONRULES)

DOCBOOK4DTD = http://www.oasis-open.org/docbook/xml/mathml/1.1CR1/dbmathml.dtd
XMLLINT = xmllint --noout --xinclude --dtdvalid $(DOCBOOK4DTD)

validate:
	$(XMLLINT) [a-t]*.xml

=== docbook4/xhtml/Makefile ===
#!gmake

# XSLT processor - other possibilities like Saxon exist
XSLT	= xsltproc --nonet
SED	= sed

# Location of locally customized stylesheet, which imports
# the Docbook modular stylesheets, and specifically the
# stylesheet to convert Docbook+MathML => XHTML+MathML
DB2XHTML = opengl-man.xsl

PREPROCESSOR = preproc.sed

.SUFFIXES: .gl .xml .html .xhtml .ck.xhtml .tex .pdf .3G .tar .tar.gz
.PHONY: man html pdf tex

%.xml: ../%.xml $(DB2XHTML) $(PREPROCESSOR)
	$(XSLT) --xinclude -o $@ $(DB2XHTML) $<
	$(SED) -i -f $(PREPROCESSOR) $@

GL_ARB_draw_indirect_entries = \
    glDrawArraysIndirect.xml \
    glDrawElementsIndirect.xml

GL_ARB_shader_subroutine_entries = \
    glGetActiveSubroutineName.xml \
    glGetActiveSubroutineUniform.xml \
    glGetActiveSubroutineUniformName.xml \
    glGetProgramStage.xml \
    glGetSubroutineIndex.xml \
    glGetSubroutineUniformLocation.xml \
    glGetUniformSubroutine.xml \
    glUniformSubroutines.xml

GL_ARB_tessellation_shader_entries = \
    glPatchParameter.xml

GL_ARB_transform_feedback2_entries = \
    glBindTransformFeedback.xml \
    glDeleteTransformFeedbacks.xml \
    glGenTransformFeedbacks.xml \
    glIsTransformFeedback.xml \
    glPauseTransformFeedback.xml \
    glResumeTransformFeedback.xml \
    glDrawTransformFeedback.xml

GL_ARB_transform_feedback3_entries = \
    glDrawTransformFeedbackStream.xml \
    glBeginQueryIndexed.xml \
    glGetQueryIndexed.xml

GL_ARB_viewport_array_entries = \
    glDepthRangeArray.xml \
    glDepthRangeIndexed.xml \
    glScissorArray.xml \
    glScissorIndexed.xml \
    glViewportArray.xml \
    glViewportIndexed.xml

GL_ARB_get_program_binary_entries = \
    glGetProgramBinary.xml \
    glProgramBinary.xml \
    glProgramParameter.xml

GL_ARB_ES2_compatibility_entries = \
    glReleaseShaderCompiler.xml \
    glShaderBinary.xml \
    glGetShaderPrecisionFormat.xml

GL_ARB_separate_shader_objects_entries = \
    glUseProgramStages.xml \
    glActiveShaderProgram.xml \
    glCreateShaderProgram.xml \
    glBindProgramPipeline.xml \
    glGenProgramPipelines.xml \
    glDeleteProgramPipelines.xml \
    glIsProgramPipeline.xml \
    glGetProgramPipeline.xml \
    glValidateProgramPipeline.xml \
    glGetProgramPipelineInfoLog.xml \
    glProgramUniform.xml

GL_ARB_sample_shading_entries = \
    glMinSampleShading.xml

GL_ARB_base_instance_entries = \
    glDrawArraysInstancedBaseInstance.xml \
    glDrawElementsInstancedBaseInstance.xml \
    glDrawElementsInstancedBaseVertexBaseInstance.xml

GL_EXT_texture_storage_entries = \
    glTexStorage1D.xml \
    glTexStorage2D.xml \
    glTexStorage3D.xml

GL_ARB_internal_format_query_entries = \
    glGetInternalformat.xml

GL_ARB_transform_feedback_instanced_entries = \
    glDrawTransformFeedbackInstanced.xml \
    glDrawTransformFeedbackStreamInstanced.xml

GL_ARB_shader_atomic_counters_entries = \
    glGetActiveAtomicCounterBufferiv.xml

GL_ARB_shader_image_load_store_entries = \
    glBindImageTexture.xml \
    glMemoryBarrier.xml

# START OF OPENGL 4.3 EXTENSIONS

# GL_ARB_arrays_of_arrays has no new entry points
GL_ARB_arrays_of_arrays_entries =

GL_ARB_multi_draw_indirect_entries = \
    glMultiDrawArraysIndirect.xml \
    glMultiDrawElementsIndirect.xml

# ES3_compatibility does not have any new entry points
GL_ARB_ES3_compatibility_enries =

GL_ARB_clear_buffer_object_entries = \
    glClearBufferData.xml \
    glClearBufferSubData.xml

GL_ARB_compute_shader_entries = \
    glDispatchCompute.xml \
    glDispatchComputeIndirect.xml

GL_ARB_copy_image_entries = \
    glCopyImageSubData.xml

GL_ARB_debug_group_entries = \
    glPushDebugGroup.xml \
    glPopDebugGroup.xml

GL_ARB_debug_label_entries = \
    glObjectLabel.xml \
    glObjectPtrLabel.xml \
    glGetObjectLabel.xml \
    glGetObjectPtrLabel.xml

# GL_ARB_debug_output2 has no new entry points
GL_ARB_debug_output2_entries =

GL_ARB_debug_output_entries = \
    glDebugMessageControl.xml \
    glDebugMessageInsert.xml \
    glDebugMessageCallback.xml \
    glGetDebugMessageLog.xml
# Add glGetPointerv to glGet.xml

# GL_ARB_explicit_uniform_location has no new entry points
GL_ARB_explicit_uniform_location_entries =

# GL_ARB_fragment_layer_viewport has no new entry points
GL_ARB_fragment_layer_viewport_entries =

GL_ARB_framebuffer_no_attachments_entries = \
    glFramebufferParameteri.xml \
    glGetFramebufferParameter.xml

# GL_ARB_internalformat_query2 adds glGetInternalFormati64v to glGetInternalFormativ
GL_ARB_internalformat_query2_entries =

GL_ARB_invalidate_subdata_entries = \
    glInvalidateTexSubImage.xml \
    glInvalidateTexImage.xml \
    glInvalidateBufferSubData.xml \
    glInvalidateBufferData.xml \
    glInvalidateFramebuffer.xml \
    glInvalidateSubFramebuffer.xml

GL_ARB_program_interface_query_entries = \
    glGetProgramInterface.xml \
    glGetProgramResourceIndex.xml \
    glGetProgramResourceName.xml \
    glGetProgramResource.xml \
    glGetProgramResourceLocation.xml \
    glGetProgramResourceLocationIndex.xml

# GL_ARB_robust_buffer_access_behavior does not define any new entry points
GL_ARB_robust_buffer_access_behavior_entries =

# GL_ARB_shader_image_size does not define any new entry points
GL_ARB_shader_image_size_entries =

GL_ARB_shader_storage_buffer_object_entries = \
    glShaderStorageBlockBinding.xml

# GL_ARB_stencil_texturing does not define any new entry points
GL_ARB_stencil_texturing_entries =

GL_ARB_texture_buffer_range_entries = \
    glTexBufferRange.xml

# GL_ARB_texture_query_levels does not define any new entry points
GL_ARB_texture_query_levels =

GL_ARB_texture_storage_multisample_entries = \
    glTexStorage2DMultisample.xml \
    glTexStorage3DMultisample.xml

GL_ARB_texture_view_entries = \
    glTextureView.xml

GL_ARB_vertex_attrib_binding_entries = \
    glVertexAttribBinding.xml \
    glVertexAttribFormat.xml \
    glVertexBindingDivisor.xml \
    glBindVertexBuffer.xml

GL_ARB_buffer_storage_entries = \
    glBufferStorage.xml

GL_ARB_clear_texture_entries = \
    glClearTexImage.xml \
    glClearTexSubImage.xml

GL_ARB_multi_bind_entries = \
    glBindBuffersBase.xml \
    glBindBuffersRange.xml \
    glBindTextures.xml \
    glBindImageTextures.xml \
    glBindSamplers.xml \
    glBindVertexBuffers.xml

MODIFIEDFORGL4XML = \
    glClearDepth.xml \
    glCreateShader.xml \
    glDepthRange.xml \
    glDrawArrays.xml \
    glGetVertexAttrib.xml \
    glVertexAttrib.xml \
    glVertexAttribPointer.xml

GL4XML = \
    $(GL_ARB_draw_indirect_entries) \
    $(GL_ARB_shader_subroutine_entries) \
    $(GL_ARB_tessellation_shader_entries) \
    $(GL_ARB_transform_feedback2_entries) \
    $(GL_ARB_transform_feedback3_entries) \
    $(GL_ARB_sample_shading_entries)

GL41XML = \
    $(GL_ARB_viewport_array_entries) \
    $(GL_ARB_get_program_binary_entries) \
    $(GL_ARB_ES2_compatibility_entries) \
    $(GL_ARB_separate_shader_objects_entries)

GL42XML = \
    $(GL_ARB_base_instance_entries) \
    $(GL_EXT_texture_storage_entries) \
    $(GL_ARB_internal_format_query_entries) \
    $(GL_ARB_transform_feedback_instanced_entries) \
    $(GL_ARB_shader_atomic_counters_entries) \
    $(GL_ARB_shader_image_load_store_entries) \
    removedTypes.xml

GL43XML = \
    $(GL_ARB_multi_draw_indirect_entries) \
    $(GL_ARB_ES3_compatibility_enries) \
    $(GL_ARB_clear_buffer_object_entries) \
    $(GL_ARB_compute_shader_entries) \
    $(GL_ARB_copy_image_entries) \
    $(GL_ARB_invalidate_subdata_entries) \
    $(GL_ARB_texture_buffer_range_entries) \
    $(GL_ARB_texture_storage_multisample_entries) \
    $(GL_ARB_vertex_attrib_binding_entries) \
    $(GL_ARB_shader_storage_buffer_object_entries) \
    $(GL_ARB_debug_group_entries) \
    $(GL_ARB_debug_label_entries) \
    $(GL_ARB_framebuffer_no_attachments_entries) \
    $(GL_ARB_program_interface_query_entries) \
    $(GL_ARB_debug_output_entries) \
    $(GL_ARB_texture_view_entries)

GL44XML = \
    $(GL_ARB_buffer_storage_entries) \
    $(GL_ARB_clear_texture_entries) \
    $(GL_ARB_multi_bind_entries)

UNMODIFIEDXML = \
    glActiveTexture.xml \
    glAttachShader.xml \
    glBeginConditionalRender.xml \
    glBeginQuery.xml \
    glBeginTransformFeedback.xml \
    glBindAttribLocation.xml \
    glBindBuffer.xml \
    glBindBufferBase.xml \
    glBindBufferRange.xml \
    glBindFragDataLocation.xml \
    glBindFragDataLocationIndexed.xml \
    glBindFramebuffer.xml \
    glBindRenderbuffer.xml \
    glBindSampler.xml \
    glBindTexture.xml \
    glBindVertexArray.xml \
    glBlendColor.xml \
    glBlendEquation.xml \
    glBlendEquationSeparate.xml \
    glBlendFunc.xml \
    glBlendFuncSeparate.xml \
    glBlitFramebuffer.xml \
    glBufferData.xml \
    glBufferSubData.xml \
    glCheckFramebufferStatus.xml \
    glClampColor.xml \
    glClear.xml \
    glClearColor.xml \
    glClearBuffer.xml \
    glClearStencil.xml \
    glClientWaitSync.xml \
    glColorMask.xml \
    glCompileShader.xml \
    glCompressedTexImage1D.xml \
    glCompressedTexImage2D.xml \
    glCompressedTexImage3D.xml \
    glCompressedTexSubImage1D.xml \
    glCompressedTexSubImage2D.xml \
    glCompressedTexSubImage3D.xml \
    glCopyBufferSubData.xml \
    glCopyTexImage1D.xml \
    glCopyTexImage2D.xml \
    glCopyTexSubImage1D.xml \
    glCopyTexSubImage2D.xml \
    glCopyTexSubImage3D.xml \
    glCreateProgram.xml \
    glCreateShader.xml \
    glCullFace.xml \
    glDeleteBuffers.xml \
    glDeleteFramebuffers.xml \
    glDeleteProgram.xml \
    glDeleteQueries.xml \
    glDeleteRenderbuffers.xml \
    glDeleteSamplers.xml \
    glDeleteShader.xml \
    glDeleteSync.xml \
    glDeleteTextures.xml \
    glDeleteVertexArrays.xml \
    glDepthFunc.xml \
    glDepthMask.xml \
    glDetachShader.xml \
    glDrawArrays.xml \
    glDrawArraysInstanced.xml \
    glDrawBuffer.xml \
    glDrawBuffers.xml \
    glDrawElements.xml \
    glDrawElementsBaseVertex.xml \
    glDrawElementsInstanced.xml \
    glDrawElementsInstancedBaseVertex.xml \
    glDrawRangeElements.xml \
    glDrawRangeElementsBaseVertex.xml \
    glEnable.xml \
    glEnableVertexAttribArray.xml \
    glFenceSync.xml \
    glFinish.xml \
    glFlush.xml \
    glFlushMappedBufferRange.xml \
    glFramebufferRenderbuffer.xml \
    glFramebufferTexture.xml \
    glFramebufferTextureLayer.xml \
    glFrontFace.xml \
    glGenBuffers.xml \
    glGenerateMipmap.xml \
    glGenFramebuffers.xml \
    glGenQueries.xml \
    glGenRenderbuffers.xml \
    glGenSamplers.xml \
    glGenTextures.xml \
    glGenVertexArrays.xml \
    glGet.xml \
    glGetActiveAttrib.xml \
    glGetActiveUniform.xml \
    glGetActiveUniformBlock.xml \
    glGetActiveUniformBlockName.xml \
    glGetActiveUniformName.xml \
    glGetActiveUniformsiv.xml \
    glGetAttachedShaders.xml \
    glGetAttribLocation.xml \
    glGetBufferParameter.xml \
    glGetBufferPointerv.xml \
    glGetBufferSubData.xml \
    glGetCompressedTexImage.xml \
    glGetError.xml \
    glGetFragDataIndex.xml \
    glGetFragDataLocation.xml \
    glGetFramebufferAttachmentParameter.xml \
    glGetMultisample.xml \
    glGetProgram.xml \
    glGetProgramInfoLog.xml \
    glGetQueryObject.xml \
    glGetQueryiv.xml \
    glGetRenderbufferParameter.xml \
    glGetSamplerParameter.xml \
    glGetShader.xml \
    glGetShaderInfoLog.xml \
    glGetShaderSource.xml \
    glGetString.xml \
    glGetSync.xml \
    glGetTexImage.xml \
    glGetTexLevelParameter.xml \
    glGetTexParameter.xml \
    glGetTransformFeedbackVarying.xml \
    glGetUniform.xml \
    glGetUniformBlockIndex.xml \
    glGetUniformIndices.xml \
    glGetUniformLocation.xml \
    glGetVertexAttribPointerv.xml \
    glHint.xml \
    glIsBuffer.xml \
    glIsEnabled.xml \
    glIsFramebuffer.xml \
    glIsProgram.xml \
    glIsRenderbuffer.xml \
    glIsQuery.xml \
    glIsSampler.xml \
    glIsShader.xml \
    glIsSync.xml \
    glIsTexture.xml \
    glIsVertexArray.xml \
    glLineWidth.xml \
    glLinkProgram.xml \

=== debian/changelog ===
khronos-opengl-man4 (1.0~svn27841-1) unstable; urgency=low

  * New upstream
  * Rework html output. Closes: #723792
  * Bump Std-Vers to 3.9.5

 -- Mathieu Malaterre <malat@debian.org>  Tue, 26 Aug 2014 10:24:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,20 @@
 Priority: extra
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+               docbook-mathml (>= 1.1~),
+               docbook-xsl-ns (>= 1.78.1),
+               python3,
+               w3-dtd-mathml,
+               xsltproc
+Standards-Version: 3.9.5
 Homepage: http://www.opengl.org/sdk/docs/man4/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opengl4-man/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opengl4-man/
 
 Package: opengl-4-html-doc
 Architecture: all
-Depends: ${misc:Depends}, doc-base
+Depends: doc-base, ${misc:Depends}
 Replaces: opengl-4.2-html-doc (<< 1.0~svn21376-1)
 Breaks: opengl-4.2-html-doc (<< 1.0~svn21376-1)
 Description: OpenGL 4 documentation - html pages

=== debian/rules ===
#!/usr/bin/make -f

export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean html/*.xml
	dh_clean html/*.3G
	dh_clean html/*.tmp
	dh_clean html/index.html

pkg_xml = opengl-4-html-doc
pkg_man = opengl-4-man-doc

override_dh_installdocs:
	dh_installdocs -p$(pkg_xml) html/*.xhtml
	dh_installdocs -p$(pkg_xml) html/*.html
	dh_installdocs -p$(pkg_xml) html/*.php

override_dh_installman:
	# bad-so-link-within-manual-page
	sed -i -e 's/^.so man3G/.so man3/' html/*.3G
	dh_installman -p$(pkg_man) html/*.3G
	# force install of d/copyright:
	dh_installdocs -p$(pkg_man)

# no make install rule:
override_dh_auto_install:

override_dh_compress:
	dh_compress -X.xhtml -X.php

get-orig-source:
	./debian/get-orig-source
